com.google.gwt.http.client

## Class Request.RequestImplIE8And9

- java.lang.Object
- - com.google.gwt.http.client.Request.RequestImpl
  - - com.google.gwt.http.client.Request.RequestImplIE8And9

Enclosing class:
  Request

    static class Request.RequestImplIE8And9
    extends Request.RequestImpl

Special `Request.RequestImpl` for IE8, IE9 to work around some IE specialities.

### Constructor Summary

Constructors
Constructor and Description
`RequestImplIE8And9()`

### Method Summary

All Methods Instance Methods Concrete Methods
`(package private) Response` `createResponse(XMLHttpRequest xmlHttpRequest)` Creates a `Response` instance for the given JavaScript XmlHttpRequest object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RequestImplIE8And9

    RequestImplIE8And9()

### Method Detail

#### createResponse

    Response createResponse(XMLHttpRequest xmlHttpRequest)

Description copied from class: `Request.RequestImpl`
Creates a `Response` instance for the given JavaScript XmlHttpRequest object.

Overrides:
  `createResponse` in class `Request.RequestImpl`
Parameters:
  `xmlHttpRequest` - xmlHttpRequest object for which we need a response
Returns:
  a `Response` object instance